Last Comment Bug 912460 - Header covers content on large font size or narrow browser window
: Header covers content on large font size or narrow browser window
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Sandstone/Mozilla Skin (show other bugs)
: Production
: All All
: P4 minor (vote)
: ---
Assigned To: Byron Jones ‹:glob›
:
Mentors:
: 908371 913963 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 05:32 PDT by Kyli
Modified: 2013-09-18 23:20 PDT (History)
10 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Bugzilla when using a "Very Large" default font (550.34 KB, image/png)
2013-09-04 05:32 PDT, Kyli
no flags Details
912460_1.patch (665 bytes, patch)
2013-09-08 22:04 PDT, Byron Jones ‹:glob›
dkl: review+
Details | Diff | Splinter Review
Bugzilla overflow still exists.png (240.95 KB, image/png)
2013-09-11 11:51 PDT, Kyli
no flags Details

Description Kyli 2013-09-04 05:32:30 PDT
Created attachment 799447 [details]
Bugzilla when using a "Very Large" default  font

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.57 Safari/537.36

Steps to reproduce:

Increase browser default font size


Actual results:

The top bar, which is sized automatically by its content, becomes taller, obscuring the content below it, which is offset exactly 80 pixels from the top


Expected results:

The content moves down proportionately because it is offset from the top by ems or pts, which scale with the user's font preference
Comment 1 David Lawrence [:dkl] 2013-09-06 11:52:22 PDT
Bram. When you have a spare cycle, can you take a look at this and also bug 908371. Seems like it would just be a CSS change needed but your CSS-fu is stronger.

dkl
Comment 2 Byron Jones ‹:glob› 2013-09-08 21:54:58 PDT
*** Bug 908371 has been marked as a duplicate of this bug. ***
Comment 3 Byron Jones ‹:glob› 2013-09-08 21:55:04 PDT
*** Bug 913963 has been marked as a duplicate of this bug. ***
Comment 4 Byron Jones ‹:glob› 2013-09-08 22:04:25 PDT
Created attachment 801366 [details] [diff] [review]
912460_1.patch
Comment 5 David Lawrence [:dkl] 2013-09-11 08:34:26 PDT
Comment on attachment 801366 [details] [diff] [review]
912460_1.patch

Review of attachment 801366 [details] [diff] [review]:
-----------------------------------------------------------------

Good. r=dkl
Comment 6 Byron Jones ‹:glob› 2013-09-11 08:37:04 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified skins/contrib/Mozilla/global.css
Committed revision 8996.
Comment 7 Kyli 2013-09-11 10:42:30 PDT
Not fixed... dunno why it was RESOLVED FIXED.
Comment 8 Mark Côté [:mcote] 2013-09-11 11:12:12 PDT
It's marked fixed because it was committed to the source repo.  However deployments to bugzilla.mozilla.org only happen approximately once a week, and this just missed the last one.  Follow glob's blog (http://globau.wordpress.com/) if you'd like to see when things are deployed.
Comment 9 Kyli 2013-09-11 11:51:12 PDT
Created attachment 803203 [details]
Bugzilla overflow still exists.png

Illustrating problem still exists
Comment 10 Mark Côté [:mcote] 2013-09-11 11:58:02 PDT
Yes, as I say, we are fully aware that this still exists on bugzilla.mozilla.org.  At our next update (probably next Thursday), the fix will be deployed, and the problem will go away.
Comment 11 Bram Pitoyo [:bram] 2013-09-11 20:13:18 PDT
I am aware of this bug and was planning on working on it tomorrow after our user research session is done. But it sounds like a fix is already deployed.

@glob, does the fix fully resolves the problem? If so, I think I’ll have to skip on this bug. Sorry!
Comment 12 Byron Jones ‹:glob› 2013-09-11 21:57:22 PDT
(In reply to Bram Pitoyo [:bram] from comment #11)
> @glob, does the fix fully resolves the problem? If so, I think I’ll have to
> skip on this bug. Sorry!

yes, i believe we're good here :)
Comment 13 Byron Jones ‹:glob› 2013-09-18 23:20:02 PDT
this fix is now live.

Note You need to log in before you can comment on or make changes to this bug.